#! /bin/sh

SS="../SS"

C2HTML="./c2html"

$SS --version || exit 1

echo "help;" | $SS | expand > help.out

$C2HTML < help.out |
while read line
do
  first=`echo "$line" | awk '{ print $1 }'`
  case "$first" in
    "<pre>"|"</pre>")
      continue;;
    Operators:|Numeric|Range|Commands:|Constants:)
      what=`echo "$first" | tr -d ':'`; exec > "$what"; 
      continue;;
  esac
  #
  echo "  $line"
done

$SS -h 2>&1 | $C2HTML > Options
