/* 1 2 ldexp(x,e) produces x * (2**e)
*/
double nf_ldexp(const Node *n, const Cell *c)
{
  int expo;
  double e;
  Node *r = Right(n);

  expo = e = eval_tree( r->next, c);

  if( expo != e)
    fprintf( out, "ldexp: warning, exponent argument truncated to integer\n");

  return ldexp( eval_tree( r, c), expo );
}

