/* 2 2 remainder and part of quotient, {r,q} = remquo(x,y)
*/
double nf_remquo(const Node *n, const Cell *c)
{
  double rem; int quo;
  Node *r = Right(n);
  Node *lval = Left(n);

  rem = remquo( eval_tree( r, c), eval_tree( r->next, c), &quo );

  if( lval)
  {
    lval_helper( "remquo", lval, c, rem);

    lval = lval->next;

    if( lval)
      lval_helper( "remquo", lval, c, quo);
  }

  return rem;
}

