/* 1 2 scalbn(x,e) produces x * (FLT_RADIX**e)
*/
double nf_scalbn(const Node *n, const Cell *c)
{
  int expo;
  double e;
  Node *r = Right(n);

  expo = e = eval_tree( r->next, c);

  if( expo != e)
    fprintf( out, "scalbn: warning, exponent argument truncated to integer\n");

  return scalbn( eval_tree( r, c), expo );
}

