/* 1 -1 minimum of the defined cells
*/

#define MIN_MIN d[0]

static void rf_min_callback( Data *d)
{
  if( d->list_val < d->MIN_MIN) d->MIN_MIN = d->list_val;
}

double rf_min(const Node *n, const Cell *c)
{
  Data d;  d.MIN_MIN = HUGE_VAL;

  ss_traverse_list( Right(n), c, rf_min_callback, &d);

  return d.MIN_MIN;
}

