/* 1 2 cell(c,r) == value of cell from column c row r
*/
double nf_cell(const Node *n, const Cell *c)
{
  Cell x;  Node *r = Right(n);  int col_is_string;

  x.col_fixed = x.row_fixed = 0;

  col_is_string = cell_parse_col( r, &x, c);

  if( col_is_string < 0) // error
    return 0;
  else if( col_is_string == 0) // col is not a string
    x.col = eval_tree( r, c);

  x.row = eval_tree( r->next, c);

  if( check_cell( &x)) return 0;

  SS *cp = &ss[x.row][x.col];

  return eval_cell( cp, &x);
}
