/* 2 1 extract fraction and integral parts, {f,i} = modf(x)
*/
double nf_modf(const Node *n, const Cell *c)
{
  double frac, i;
  Node *lval = Left(n);

  frac = modf( eval_tree( Right(n), c), &i);

  if( lval)
  {
    lval_helper( "modf", lval, c, frac);

    lval = lval->next;

    if( lval)
      lval_helper( "modf", lval, c, i);
  }

  return frac;
}

