/* 1 2 scalbln(x,e) produces x * (FLT_RADIX**e)
*/
double nf_scalbln(const Node *n, const Cell *c)
{
  long int expo;
  double e;
  Node *r = Right(n);

  expo = e = eval_tree( r->next, c);

  if( expo != e)
    fprintf( out, "scalbln: warning, exponent argument truncated to long integer\n");

  return scalbln( eval_tree( r, c), expo );
}

